package speiger.src.coreengine.assets.api;

import java.util.Set;
import java.util.concurrent.Executor;

public record ReloadContext(IAssetProvider provider, Set<ID> filter, Executor mainThread, Executor tasks, Executor background) {
	
	public boolean hasChanged(ID id) {
		return filter.isEmpty() || filter.contains(id);
	}
}
